Name:          99soft-oss-parent
Version:       10
Release:       7%{?dist}
Summary:       99 Software Foundation parent pom
License:       ASL 2.0
URL:           https://github.com/99soft/infra
Source0:       https://github.com/99soft/infra/archive/oss-parent-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-site-plugin)
BuildRequires: mvn(org.codehaus.mojo:buildnumber-maven-plugin)

BuildArch:     noarch

%description
The 99 Software Foundation parent pom.

%prep
%setup -q -n infra-oss-parent-%{version}
%pom_remove_plugin :appassembler-maven-plugin
%pom_remove_plugin :nexus-maven-plugin
%pom_remove_plugin :taglist-maven-plugin
%pom_remove_plugin :cobertura-maven-plugin
# Execution enforce-java of goal org.apache.maven.plugins:maven-enforcer-plugin:1.4.1:enforce failed. NullPointerException
%pom_remove_plugin :maven-enforcer-plugin

%pom_xpath_remove "pom:project/pom:build/pom:extensions"

# Remove doclava
%pom_xpath_remove "pom:reporting/pom:plugins/pom:plugin[pom:artifactId[text()='maven-javadoc-plugin']]/pom:configuration"
%pom_xpath_inject "pom:reporting/pom:plugins/pom:plugin[pom:artifactId[text()='maven-javadoc-plugin']]" '
<configuration>
  <minmemory>128m</minmemory>
  <maxmemory>1024m</maxmemory>
  <breakiterator>true</breakiterator>
  <quiet>true</quiet>
  <verbose>false</verbose>
  <source>${javac.src.version}</source>
  <linksource>true</linksource>
</configuration>'

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.creole
%license LICENSE NOTICE

%changelog
* Wed Jun 22 2016 gil cattaneo <puntogil@libero.it> 10-7
- regenerate build-requires

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 27 2015 gil cattaneo <puntogil@libero.it> 10-5
- disable enforcer plugin support

* Fri Nov 27 2015 gil cattaneo <puntogil@libero.it> - 10-4
- rebuilt

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 16 2015 gil cattaneo <puntogil@libero.it> 10-2
- fix Url tag

* Sun Jun 30 2013 gil cattaneo <puntogil@libero.it> 10-1
- initial rpm
